# Requested permissions

Booming Music requests the following permissions:

 - **Storage**: Necessary for the basic operation of the app. Without this permission, Booming Music cannot list the music files you have stored on your device.
 - **Read media audio**: Like storage permissions, this permission is required starting with Android 13 to list music files saved on a device.
 - **Foreground service**: This permission is required due to Android policies in order to start a foreground service. Booming Music uses this type of service to keep playback active even when you use another application, as well as to show you a notification with multimedia control actions.
 - **Record audio**: Due to Android policies, it is necessary to request this permission to be able to use the [Visualizer API](https://developer.android.com/reference/android/media/audiofx/Visualizer), which allows us to display wave bar effects according to the playback. It is an optional permission.
 - **Post notifications**: Necessary for the basic operation of the app. Booming Music needs to show a notification to provide information about what is playing.
 - **Bluetooth**: This permission is required so that Booming Music can correctly recognize Bluetooth devices as headphones. It is also required so that you can share songs via Bluetooth.
 - **Internet**: Internet-related permissions are required to download artist images, as well as obtain album/artist information.
 - **Broadcast**: Booming Music uses the sticky broadcasts permission to send information to other apps about what is playing. In other words, it is necessary for scrobbling or lyrics apps to work correctly. This behavior can be disabled from the app settings.
 - **Wake lock**: This permission is required to ensure that music playback stays active in the background for as long as possible.
 - **Schedule exact alarm**: Necessary to be able to accurately configure the Sleep Timer. This permission will be requested only when this feature is to be used on a device running Android 12 or higher.
 - **Modify audio settings**: This permission is required to be able to set a song as a ringtone directly from Booming Music. It is an optional permission.

If you still have questions about the permissions requested by the app, or if we have missed placing any on this list, feel free to contact us through this email: mardous.contact@gmail.com