<div align="center">

<img src="metadata/en-US/images/icon.png"  width=160 height=160  align="center">

# Booming Music

### A modern, Material 3 local music player built for smooth offline listening

[![Platform](https://img.shields.io/badge/Platform-Android-green.svg?logo=android)](https://android.com/)
[![API](https://img.shields.io/badge/API-26%2B-green.svg?style=flat&logo=android)](https://android-arsenal.com/api?level=26)
[![Latest Release](https://img.shields.io/github/v/release/mardous/BoomingMusic?label=Release&logo=github)](https://github.com/mardous/BoomingMusic/releases/latest)
[![F-Droid version](https://img.shields.io/f-droid/v/com.mardous.booming?label=F-Droid&logo=fdroid)](https://f-droid.org/packages/com.mardous.booming/)
[![License: GPL v3](https://img.shields.io/github/license/mardous/BoomingMusic?color=orange&label=License&logo=gnu)](LICENSE.txt)
[![Contributor Covenant](https://img.shields.io/badge/Contributor_Covenant-2.1-4baaaa.svg?logo=contributorcovenant)](CODE_OF_CONDUCT.md)
[![Telegram Group](https://img.shields.io/badge/Telegram-Join_Chat-blue?style=flat&logo=telegram)](https://t.me/mardousdev)

<a href="https://github.com/mardous/BoomingMusic/releases"><img src="assets/badge-github.png" height="60"></a>
<a href="https://f-droid.org/packages/com.mardous.booming/"><img src="assets/badge-fdroid.png" height="60"></a>
<a href="https://www.openapk.net/boomingmusic/com.mardous.booming/"><img src="assets/badge-openapk.png" height="60"></a>
<a href="https://www.androidfreeware.net/download-boomingmusic-apk.html"><img src="assets/badge-androidfreeware.png" height="60"></a>
<a href="https://apps.obtainium.imranr.dev/redirect?r=obtainium://add/https://github.com/mardous/BoomingMusic/"><img src="assets/badge-obtainium.png" height="60"></a>

</div>

## 🎶 Key Features 
- **Automatic Lyrics Download & Editing**: Automatically download and sync lyrics with your music, and edit them to your preference.
- **Gapless Playback**: Enjoy uninterrupted transitions between tracks for a seamless listening experience.
- **Built-in Equalizer**: Fine-tune your audio with a built-in equalizer, and customize or share your settings.
- **Smart Playlists**: Automatically create playlists like Recently Played, Most Played, and History.
- **Bluetooth & Headset Support**: Control your music seamlessly via Bluetooth or wired headsets.
- **Android Auto Support**: Fully integrated with Android Auto for hands-free listening on the go.
- **Material You Design**: Support for Android's Material You design system, offering dynamic theming and a modern look.
- **Folder-based Browsing**: Play your music from any folder on your device.
- **Sleep Timer**: Set a sleep timer to automatically stop playback after a set time.
- **Widgets**: Add home screen and lock screen widgets for quick access and control.

## ⚙️ Additional Features 
- Monet-themed icons (Android 13+)
- Browse and organize music by songs, albums, artists, playlists, genres, and year
- Tag editor for editing song metadata
- Smart auto playlists (Recently Played, Most Played, History)
- ReplayGain support
- Automatic download of artist images
- Blacklist and whitelist support

## 📱 Screenshots

<div align="center">
<img src="metadata/en-US/images/phoneScreenshots/1.jpg" width="30%" />
<img src="metadata/en-US/images/phoneScreenshots/2.jpg" width="30%" />
<img src="metadata/en-US/images/phoneScreenshots/3.jpg" width="30%" />
<img src="metadata/en-US/images/phoneScreenshots/4.jpg" width="30%" />
<img src="metadata/en-US/images/phoneScreenshots/5.jpg" width="30%" />
<img src="metadata/en-US/images/phoneScreenshots/6.jpg" width="30%" />
<img src="metadata/en-US/images/phoneScreenshots/7.jpg" width="30%" />
<img src="metadata/en-US/images/phoneScreenshots/8.jpg" width="30%" />
</div>

## 💿 Supported formats
Booming Music relies on native [MediaPlayer API](https://developer.android.com/guide/topics/media/mediaplayer) for audio files reproduction.
You can visit [this page](https://developer.android.com/guide/topics/media/media-formats) for detailed
information about MediaPlayer API file and format support.

## 🔒 Requested permissions
Our app requires only the necessary permissions for its operation, therefore, you can read [this document](PERMISSIONS.md)
to obtain more details about each permission and why it is required.

## 🤝 Contributing
Booming Music is an open-source project, and contributions are always welcome!
See the [Contributing](CONTRIBUTING.md) document. It will be a good starting point if you are interested
in contributing to this project, thank you very much in advance.

## 🌎 Translation
For now, pull requests are the only available way to help translate Booming Music.
We'll be uploading the project to Crowdin soon.

## 💬 Social
Join the [Telegram chat](https://t.me/mardousdev) to stay up-to-date on new releases, discuss new features,
report bugs, and engage with other community users.

## 👏 Credits
Booming Music is built upon the open-source project [Retro Music](https://github.com/RetroMusicPlayer/RetroMusicPlayer),
which served as a starting point for many features and functionality in this app.

## ⚖️ License
Booming Music is released under the GNU General Public License, which can be found [here](LICENSE.txt).
